commit 21398b7c319ed013741a9b249cb2315a098b6753
Author: James Cowgill <james410@cowgill.org.uk>
Date:   Tue Aug 22 11:33:47 2017 +0100

    Disable LRA on mips as a workaround

diff --git a/gcc/config/mips/mips.c b/gcc/config/mips/mips.c
index 563f74b74f0..c89067cf89c 100644
--- a/gcc/config/mips/mips.c
+++ b/gcc/config/mips/mips.c
@@ -19738,7 +19738,7 @@ mips_option_override (void)
   else if (ISA_MIPS1 && !TARGET_FLOAT32)
     error ("%<-march=%s%> requires %<-mfp32%>", mips_arch_info->name);
   else if (TARGET_FLOATXX && !mips_lra_flag)
-    error ("%<-mfpxx%> requires %<-mlra%>");
+    mips_lra_flag = 1;
 
   /* End of code shared with GAS.  */
 
diff --git a/gcc/config/mips/mips.opt b/gcc/config/mips/mips.opt
index ced243218e3..cf7795c63e4 100644
--- a/gcc/config/mips/mips.opt
+++ b/gcc/config/mips/mips.opt
@@ -385,7 +385,7 @@ Target Report Mask(SYNCI)
 Use synci instruction to invalidate i-cache.
 
 mlra
-Target Report Var(mips_lra_flag) Init(1) Save
+Target Report Var(mips_lra_flag) Init(0) Save
 Use LRA instead of reload.
 
 mlxc1-sxc1
